/**
******************************************************************************
* @file    lysStyle.h
* @author  lys
* @version V1.1.0
* @date    2018
* @brief   六叶树QT UI美化库
* 支持情况: QPushButton QComboBox QLineEdit
* @note
*
* @endverbatim
*
******************************************************************************
* 版权:长沙六叶树教育科技有限公司
* 官网:www.liuyeshu.cn
* 更多资料教程下载见官网
******************************************************************************
修改日期    版本号   修改者   功能描述
2018.11.10 V1.1.0  LYS
----------------------------------------------------------------------------
******************************************************************************
*/

#ifndef LYSSTYLE_H
#define LYSSTYLE_H

#include <QWidget>
#include <QMainWindow>
#include <QVBoxLayout>
#include <QHBoxLayout>
#include <QPushButton>
#include <QComboBox>
#include <QLineEdit>
#include <QLabel>

class lysStyle
{
public:
    lysStyle();
    ~lysStyle();
    void sytleInit(QMainWindow *windowPtr, QLayout *layoutPtr);

public:
    void pushButtonStyleInit(QPushButton *ptr);
    void comboBoxStyleInit(QComboBox *ptr);
    void lineEditStyleInit(QLineEdit *ptr);
private:
    bool initFlag;
};

#endif // LYSSTYLE_H
